Subject: Re: bug#13717: scrolling very fast makes emacs-nox segfault

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Feb 2013 10:01:52 +0200

> From: Troy Sankey <[email-masked]>
> Date: Thu, 14 Feb 2013 19:42:09 -0800
> 
> Steps:
> 1. install GNU Emacs 24.2 (openSUSE 12.2)
> 2. delete ~/.emacs
> 3. open gnome-terminal (I'm using gnome-shell)
> 4. $ emacs-nox
> 5. scroll very fast -- I've tried both mouse wheel and touchpad
> 6. segfault

Scroll which file?  The *scratch* buffer is too short, and cannot be
scrolled.

> I can't get a proper backtrace because I don't have the appropriate
> debugging symbols. I've installed emacs-debuginfo and
> emacs-nox-debuginfo, but that did not help.

I hope someone can post a backtrace, because this is 100% not
reproducible on my system (but I don't have gnome-terminal or
gnome-shell).

Also, could you perhaps try a recent pretest of Emacs 24.3?  If that
problem doesn't exist there, it probably was already solved.